
%global meadversion 1.0.13
%global namedversion 1.0.13.redhat-4
%global meadalpha .redhat_4
%global meadrel .1
%global serial 1

%bcond_without mead

%define maven_version 1.0.13.redhat-4

Name:           gnu-getopt-eap6
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Java port of GNU getopt
License:        LGPLv2
Group:          Development/Java

%if %with mead
Source100: java-getopt-1.0.13.redhat-4-scm-sources.zip
Source102: java-getopt-1.0.13.redhat-4-javadoc.jar
Source103: java-getopt-1.0.13.redhat-4.jar
Source104: java-getopt-1.0.13.redhat-4.pom
Source105: java-getopt-1.0.13.redhat-4-sources.jar
%endif

URL:            http://www.urbanophile.com/arenn/hacking/download.html
Provides:       java-getopt-eap6 = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/java-getopt-eap6-%{namedversion}-%{release}-root

%description
%{summary}.

%prep
%setup -q -n java-getopt -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/java-getopt-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/java-getopt-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/java-getopt-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{name}/java-getopt-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/java-getopt-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/java-getopt-%{namedversion}-sources.jar
%{__ln_s} java-getopt-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/gnu.getopt-%{namedversion}.jar
%{__ln_s} java-getopt-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/gnu-getopt-%{namedversion}.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files -n gnu-getopt-eap6
%defattr(0644,root,root,0755)
%doc ChangeLog COPYING.LIB LANGUAGES README
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/java-getopt-%{namedversion}.jar
%{_javadir}/%{name}/java-getopt.jar
%exclude %{_javadir}/%{name}/java-getopt-%{namedversion}-javadoc.jar
%exclude %{_javadir}/%{name}/java-getopt-javadoc.jar
%{_javadir}/%{name}/java-getopt-%{namedversion}-sources.jar
%{_javadir}/%{name}/java-getopt-sources.jar
%{_javadir}/%{name}/gnu.getopt-%{namedversion}.jar
%{_javadir}/%{name}/gnu.getopt.jar
%{_javadir}/%{name}/gnu-getopt-%{namedversion}.jar
%{_javadir}/%{name}/gnu-getopt.jar

%changelog
* Mon May 19 2014 David Walluck <dwalluck@redhat.com> - 1.0.13-1.redhat_4.1
- build wrapper only

* Mon May 19 2014 David Walluck <dwalluck@redhat.com> 0:1.0.13-1
- release
